package edu.nyu.scps.puzzle;

import android.content.Context;
import android.view.View;
import android.widget.ImageView;


public class TileView extends ImageView {
    private int row;
    private int col;

    public TileView(Context context, int row, int col, int resId) {
        super(context);
        this.row = row;
        this.col = col;
        setImageResource(resId); //The identifying number of the .png file

        setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View v) {
                PuzzleView puzzleView = (PuzzleView)getParent();
                puzzleView.wasTouched(TileView.this);
            }
        });
    }

    public void setRow(int row) {
        this.row = row;
    }

    public void setCol(int col) {
        this.col = col;
    }

    public int getRow() {
        return row;
    }

    public int getCol() {
        return col;
    }
}
